import request from '@/utils/request'

// 查询脱敏规则列表
export function listDesensitization(query) {
  return request({
    url: '/system/quality/desensitization/list',
    method: 'get',
    params: query
  })
}

// 查询脱敏规则详细
export function getDesensitization(id) {
  return request({
    url: '/system/quality/desensitization/' + id,
    method: 'get'
  })
}

// 新增脱敏规则
export function addDesensitization(data) {
  return request({
    url: '/system/quality/desensitization',
    method: 'post',
    data: data
  })
}

// 修改脱敏规则
export function updateDesensitization(data) {
  return request({
    url: '/system/quality/desensitization',
    method: 'put',
    data: data
  })
}

// 删除脱敏规则
export function delDesensitization(id) {
  return request({
    url: '/system/quality/desensitization/' + id,
    method: 'delete'
  })
}
